import java.util.Vector;
import java.util.Vector;
import java.util.Enumeration;
import java.util.Vector;
/**
 * 
 */
public abstract class AbstractSlider {
  private Vector observerAbstractSliderCollection= new Vector();
  /**
   * Notifies attached observers of a change by invoking update.
   */
  public void notifyObservers() {
    ObserverAbstractSlider observer;
    Enumeration obs = getObserversAbstractSlider().elements();
    while (obs.hasMoreElements()) {
      observer = (ObserverAbstractSlider) obs.nextElement();
      observer.update(this);
    }
  }
  /**
   * Gets the collection of properties
   */
  public Vector getObserversAbstractSlider() {
    return observerAbstractSliderCollection;
  }
  /**
   * Removes an element from the collection of properties
   */
  public void removeObserver(ObserverAbstractSlider aObserverAbstractSlider) {
    observerAbstractSliderCollection.removeElement(aObserverAbstractSlider);
  }
  /**
   * Adds an element to the collection of properties
   */
  public void addObserver(ObserverAbstractSlider aObserverAbstractSlider) {
    observerAbstractSliderCollection.addElement(aObserverAbstractSlider);
  }
}