/**
 * This should be a singleton entity
 */
public class MySingleton {
  private static MySingleton TheMySingleton= null;
  /**
   * Hides the constructor for clients
   */
  private MySingleton() {
    
  }
  /**
   * Returns the instance of the singleton
   */
  public static MySingleton mySingletonInstance() {
    if (TheMySingleton == null)
      TheMySingleton = new MySingleton();
    return TheMySingleton;
  }
}