/**
 * Abstract help handler.
 */
public abstract class HelpHandler {
  private HelpHandler successor= null;
  /**
   * Handles a help request.
   */
  public void handleHelp() {
    if (successor != null) {
      successor.handleHelp();
    }
  }
  /**
   * Gets the property value
   */
  public HelpHandler getSuccessorHelpHandler() {
    return this.successor;
  }
  /**
   * Sets the property value
   */
  public void setSuccessorHelpHandler(HelpHandler successor) {
    this.successor = successor;
  }
}